Name:          python-ordereddict
Version:       1.1
Release:       2mamba
Summary:       A drop-in substitute for Py2.7's new collections.OrderedDict
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://pypi.python.org/pypi/ordereddict
Source:        http://pypi.python.org/packages/source/o/ordereddict/ordereddict-%{version}.tar.gz
License:       MIT
## AUTOBUILDREQ-BEGIN
## AUTOBUILDREQ-END
BuildRequires: libpython-devel
Requires:      python >= %python_version
BuildArch:     noarch
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
A drop-in substitute for Py2.7's new collections.OrderedDict.

%prep
%setup -q -n ordereddict-%{version}

%build
CFLAGS="%{optflags}" %{__python} setup.py build

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%{__python} setup.py install \
   -O1 --skip-build \
   --root="%{buildroot}" \
   --install-headers=%{_includedir}/python \
   --install-lib=%{python_sitearch} \
   --record=%{name}.filelist

sed -i "\,\.egg-info/,d;s,.*/man/.*,&.gz," %{name}.filelist

%files -f %{name}.filelist
%defattr(-,root,root)
%doc LICENSE

%changelog
* Fri May 17 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 1.1-2mamba
- python 2.7 mass rebuild

* Mon Mar 26 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 1.1-1mamba
- package created by autospec
